#ifndef FLSPLINE_H__
#define FLSPLINE_H__

enum
{
	// Field Layer controls
	FIELDLAYER_SPLINE_GROUP_RADIUS					= 1101,		// GROUP
	FIELDLAYER_SPLINE_GROUP_ALONG						= 1102,		// GROUP
	FIELDLAYER_SPLINE_GROUP_MASK						= 1103,		// GROUP

	FIELDLAYER_SPLINE_OBJECT								= 1000,		// BASELINK

	FIELDLAYER_SPLINE_ALONGMODE							= 1001,		// INT CYCLE
		FIELDLAYER_SPLINE_ALONGMODE_WHOLE				= 0,
		FIELDLAYER_SPLINE_ALONGMODE_PERSEGMENT	= 1,

	FIELDLAYER_SPLINE_DISTANCE							= 1003,		// FLOAT

	FIELDLAYER_SPLINE_PROJECTION						= 1004,		// INT CYCLE
		FIELDLAYER_SPLINE_PROJECTION_X					= 0,
		FIELDLAYER_SPLINE_PROJECTION_Y					= 1,
		FIELDLAYER_SPLINE_PROJECTION_Z					= 2,

	FIELDLAYER_SPLINE_RANGE_START						= 1005,		// FLOAT
	FIELDLAYER_SPLINE_RANGE_END							= 1006,		// FLOAT
	
	FIELDLAYER_SPLINE_RADIUSCURVE						= 1007,		// SPLINE

	FIELDLAYER_SPLINE_SHAPE									= 1008,		// INT CYCLE
		FIELDLAYER_SPLINE_SHAPE_CURVE						= 0,		
		FIELDLAYER_SPLINE_SHAPE_MASK						= 1,		
	
	FIELDLAYER_SPLINE_DISTANCEMODE					= 1009,		// INT CYCLE
		FIELDLAYER_SPLINE_DISTANCEMODE_ALONG		= 0,
		FIELDLAYER_SPLINE_DISTANCEMODE_RADIUS		= 1,
		FIELDLAYER_SPLINE_DISTANCEMODE_BOTH			= 2,

	FIELDLAYER_SPLINE_CLIP									= 1010,		// BOOLEAN
		
	FIELDLAYER_SPLINE_OFFSET								= 1011,		// FLOAT
	FIELDLAYER_SPLINE_ALONGCURVE						= 1012,		// SPLINE
	
	FIELDLAYER_SPLINE_MASKFALLOFF						= 1013,		// INT CYCLE
		FIELDLAYER_SPLINE_MASKFALLOFF_INSIDE		= 0,
		FIELDLAYER_SPLINE_MASKFALLOFF_OUTSIDE		= 1,
	
	FIELDLAYER_SPLINE_MASK_DISTANCE					= 1014,		// FLOAT
	FIELDLAYER_SPLINE_MASK_CLIP							= 1015,		// BOOLEAN
	FIELDLAYER_SPLINE_ALONGCURVECYCLE				= 1016		// BOOLEAN
};
#endif	// FLSPLINE_H__
